let score = "100"

console.log(typeof score)
score = Number(score)
console.log(score + 1)
console.log(typeof score)

score = Number("abcdef")
console.log(score)
console.log(typeof score)

score = String(score)
console.log(typeof score)

score = Boolean(1)
console.log(score, typeof score)